Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Classes | Functions
device_interface.h File Reference
`#include "HalideRuntime.h"`

Go to the source code of this file.

## Classes
struct | halide_device_interface_impl_t

## Functions
WEAK int | halide_default_device_and_host_malloc (void *user_context, struct halide_buffer_t *buf, const struct halide_device_interface_t *device_interface)
WEAK int | halide_default_device_and_host_free (void *user_context, struct halide_buffer_t *buf, const struct halide_device_interface_t *device_interface)
WEAK int | halide_default_buffer_copy (void *user_context, struct halide_buffer_t *src, const struct halide_device_interface_t *dst_device_interface, struct halide_buffer_t *dst)
WEAK int | halide_default_device_crop (void *user_context, const struct halide_buffer_t *src, struct halide_buffer_t *dst)
WEAK int | halide_default_device_slice (void *user_context, const struct halide_buffer_t *src, int slice_dim, int slice_pos, struct halide_buffer_t *dst)
WEAK int | halide_default_device_release_crop (void *user_context, struct halide_buffer_t *buf)
WEAK int | halide_default_device_wrap_native (void *user_context, struct halide_buffer_t *buf, uint64_t handle)
WEAK int | halide_default_device_detach_native (void *user_context, struct halide_buffer_t *buf)

## Function Documentation

## ◆ halide_default_device_and_host_malloc()

WEAK int halide_default_device_and_host_malloc | ( | void * | user_context,
|  | struct halide_buffer_t * | buf,
|  | const struct halide_device_interface_t * | device_interface
| ) |  |
| extern

## ◆ halide_default_device_and_host_free()

WEAK int halide_default_device_and_host_free | ( | void * | user_context,
|  | struct halide_buffer_t * | buf,
|  | const struct halide_device_interface_t * | device_interface
| ) |  |
| extern

## ◆ halide_default_buffer_copy()

WEAK int halide_default_buffer_copy | ( | void * | user_context,
|  | struct halide_buffer_t * | src,
|  | const struct halide_device_interface_t * | dst_device_interface,
|  | struct halide_buffer_t * | dst
| ) |  |
| extern

## ◆ halide_default_device_crop()

WEAK int halide_default_device_crop | ( | void * | user_context,
|  | const struct halide_buffer_t * | src,
|  | struct halide_buffer_t * | dst
| ) |  |
| extern

## ◆ halide_default_device_slice()

WEAK int halide_default_device_slice | ( | void * | user_context,
|  | const struct halide_buffer_t * | src,
|  | int | slice_dim,
|  | int | slice_pos,
|  | struct halide_buffer_t * | dst
| ) |  |
| extern

## ◆ halide_default_device_release_crop()

WEAK int halide_default_device_release_crop | ( | void * | user_context,
|  | struct halide_buffer_t * | buf
| ) |  |
| extern

## ◆ halide_default_device_wrap_native()

WEAK int halide_default_device_wrap_native | ( | void * | user_context,
|  | struct halide_buffer_t * | buf,
|  | uint64_t | handle
| ) |  |
| extern

## ◆ halide_default_device_detach_native()

WEAK int halide_default_device_detach_native | ( | void * | user_context,
|  | struct halide_buffer_t * | buf
| ) |  |
| extern